Back to YouTube
TikHub·YouTube
YouTube Web V2: Get signed video stream URL
/api/v1/youtube/web_v2/get_signed_stream_urlsync$0.0015 / callGet signed playback URL for specific itag (ready to play). Use with getvideostreams endpoint: first get all formats, then select itag to get playback URL (TikHub · YouTube Web V2)
Input
| Field | Type | Required | Description |
|---|---|---|---|
| video_id | string | — | Video ID |
| video_url | string | — | Ignored if videoid is provided) |
| itag | integer | yes | Format identifier itag (obtained from getvideostreams endpoint) |
Run it
curl -s https://sooma.dev/v1/run \
-H "Authorization: Bearer $SOOMA_API_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"tikhub","endpoint":"/api/v1/youtube/web_v2/get_signed_stream_url","input":{}}'
Or ask your agent: it will call inspect for this schema and run it over MCP.